com.salesforce.datacloud.jdbc.auth.model

## Class OAuthTokenResponse

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.model.OAuthTokenResponse

All Implemented Interfaces:
  AuthenticationResponseWithError

    public class OAuthTokenResponse
    extends Object
    implements AuthenticationResponseWithError

The shape of this response can be found here under the heading "Salesforce Grants a New Access Token"

### Constructor Summary

Constructors
Constructor and Description
`OAuthTokenResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canEqual(Object other)`
`boolean` `equals(Object o)`
`String` `getErrorCode()`
`String` `getErrorDescription()`
`String` `getInstanceUrl()`
`String` `getIssuedAt()`
`String` `getScope()`
`String` `getToken()`
`String` `getTokenType()`
`int` `hashCode()`
`void` `setErrorCode(String errorCode)`
`void` `setErrorDescription(String errorDescription)`
`void` `setInstanceUrl(String instanceUrl)`
`void` `setIssuedAt(String issuedAt)`
`void` `setScope(String scope)`
`void` `setToken(String token)`
`void` `setTokenType(String tokenType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OAuthTokenResponse

    public OAuthTokenResponse()

### Method Detail

#### getScope

    public String getScope()

#### getToken

    public String getToken()

Specified by:
  `getToken` in interface `AuthenticationResponseWithError`

#### getInstanceUrl

    public String getInstanceUrl()

#### getTokenType

    public String getTokenType()

#### getIssuedAt

    public String getIssuedAt()

#### getErrorCode

    public String getErrorCode()

Specified by:
  `getErrorCode` in interface `AuthenticationResponseWithError`

#### getErrorDescription

    public String getErrorDescription()

Specified by:
  `getErrorDescription` in interface `AuthenticationResponseWithError`

#### setScope

    public void setScope(String scope)

#### setToken

    public void setToken(String token)

#### setInstanceUrl

    public void setInstanceUrl(String instanceUrl)

#### setTokenType

    public void setTokenType(String tokenType)

#### setIssuedAt

    public void setIssuedAt(String issuedAt)

#### setErrorCode

    public void setErrorCode(String errorCode)

#### setErrorDescription

    public void setErrorDescription(String errorDescription)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### canEqual

    protected boolean canEqual(Object other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`